Show / Hide Table of Contents

# Struct RelicNote

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RelicNote

### Fields

| Improve this Doc View Source

#### MonsterProgress

##### Declaration

    public byte *MonsterProgress

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ObjectiveProgress

##### Declaration

    public int ObjectiveProgress

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RelicID

##### Declaration

    public byte RelicID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### RelicNoteID

##### Declaration

    public byte RelicNoteID

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### GetMonsterProgress(Int32)

##### Declaration

    public byte GetMonsterProgress(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 84 C0 74 7E", 0, false)]
    public static RelicNote*Instance()

##### Returns

Type | Description
--- | ---
RelicNote* |

| Improve this Doc View Source

#### IsDungeonComplete(Int32)

##### Declaration

    public bool IsDungeonComplete(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsFateComplete(Int32)

##### Declaration

    public bool IsFateComplete(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsLeveComplete(Int32)

##### Declaration

    public bool IsLeveComplete(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Boolean |